# -*- encoding: utf-8 -*-
# stub: unstoppable 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "unstoppable".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Steven Holloway".freeze]
  s.date = "2013-12-06"
  s.description = "Problem:\nWhile Cucumber is an awesome tool, for some kinds of tests it's default behaviour becomes an obstacle. Testing large batches of input against a slow error prone system is the source of much frustration. Cucumber will skip remaining steps on failure or error. This is especially problematic if the test input is a dynamic collection, *(e.g. results of a database query). This is opposed to a static collection testing which is solved by a Scenario Outline.\n\nSolution:\n\nWe need to step putside Cucumber's default pass/fail/error handling. Capture all failures and errors in collections. Log errors and failures. Generate a pass/fail manifest against the test inputs.\n\nDo not use this for normal BDD style testing, Cucumber's default behaviour is perfect for that.\n\nPublic Interface:\n\nThis is a works in progress so I expect changes as usage reveals more.\n\nIn your cucumber env.rb\n\nBefore do |scenario| setup_unstoppable end\n\nAfter do |scenario| print unstoppable_failures(scenario) print unstoppable_errors(scenario) end\n\nIn a step definition wrap any operation that you do not wish to stop execution like so\n\nunstoppable do expect(thing).to be(exected_thing) end\n\nThis helper method does the following:\n\nruns executes the block\ncatches any exception 2a. adds error to errors collection if an error 2b. adds expectation failure to failures collection if error is an RSpec::Expectations::ExpectationNotMetError\nlogs error/failure".freeze
  s.email = "impurist@gmail.com".freeze
  s.homepage = "https://rubygems.org/gems/unstoppable".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Cucumber extension that ensures all tests run to completion, catching failures and errors along the way and reporting them at completion.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.4"])
    s.add_development_dependency(%q<rubygems-tasks>.freeze, ["~> 0.2"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 0.8"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2.4"])
    s.add_dependency(%q<rubygems-tasks>.freeze, ["~> 0.2"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
  end
end
